Name:        libinput
Version:     1.22.1
Release:     1
Summary:     Input device management and event handling library
License:     MIT
URL:         https://gitlab.freedesktop.org/libinput/libinput/-/releases
Source0:     https://gitlab.freedesktop.org/libinput/libinput/-/archive/%{version}/libinput-%{version}.tar.gz

BuildRequires: gcc gcc-c++  python3-devel meson  pkgconfig(libudev) pkgconfig(mtdev) pkgconfig(libevdev)  pkgconfig(libwacom)

%description
libinput is a library to handle input devices in Wayland compositors and to provide 
a generic X.Org input driver.It provides device detection, device handling, input 
device event processing and abstraction so minimize the amount of custom input code
compositors need to provide the common set of functionality that users expect.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
%description    devel
The %{name}-devel package provide libraries and header files for
developing applications that use %{name}.

%package        utils
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       python3-evdev python3-pyudev
%description    utils
The %{name}-utils package provide tools for debuging.

%package        help
Summary:        document files for %{name}
Requires:       %{name} = %{version}-%{release}
%description    help
The %{name}-doc package contains document files.

%global udevdir   /usr/lib/udev/

%prep
%autosetup -n %{name}-%{version} -p0

%build
%meson -Ddebug-gui=false    -Ddocumentation=false     -Dtests=false     -Dudev-dir=%{udevdir}
%meson_build

%install
%meson_install

%check

%preun

%post  -p /sbin/ldconfig

%postun  -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libinput.so.*
%{udevdir}/libinput-device-group
%{udevdir}/libinput-fuzz-extract
%{udevdir}/libinput-fuzz-to-zero
%{udevdir}/rules.d/80-libinput-device-groups.rules
%{udevdir}/rules.d/90-libinput-fuzz-override.rules
%{_bindir}/libinput
%dir %{_libexecdir}/libinput/
%{_libexecdir}/libinput/libinput-debug-events
%{_libexecdir}/libinput/libinput-list-devices
%{_datadir}/libinput/*.quirks
/usr/share/zsh/site-functions/_libinput

%files devel
%{_includedir}/libinput.h
%{_libdir}/libinput.so
%{_libdir}/pkgconfig/libinput.pc

%files  utils
%{_libexecdir}/libinput/*
%exclude %{_libexecdir}/libinput/libinput-{debug-events,list-devices}

%files help
%{_mandir}/man1/*

%changelog
* Fri Feb 10 2023 Liu Yuntao <liuyuntao10@huawei.com> - 1.22.1-1
- update to 1.22.1, and update upstream URL

* Tue Jun 7 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 1.19.2-2
- fix CVE-2022-1215

* Tue Nov 30 2021 zhouwenpei <zhouwenpei1@huawei.com> - 1.19.2-1
- update to 1.19.2

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.16.4-2
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git-core

* Sat Jan 30 2021 xinghe <xinghe1@huawei.com> - 1.16.4-1
- update to 1.16.4

* Thu Jul 23 2020 jinzhimin <jinzhimin2@huawei.com> - 1.15.6-2
- delete old tar file

* Thu Jul 16 2020 dingyue <dingyue5@openeuler.org> - 1.15.6-1
- Package update

* Thu Aug 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.14.1-2
- Package init
